com.icesoft.faces.facelets.component.util

## Class Util

- java.lang.Object
- - com.icesoft.faces.facelets.component.util.Util

-     public class Util
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Util()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `clearAllUIInputs(javax.faces.component.UIComponent comp)`
    `static javax.faces.component.UIComponent` | `findComponent(javax.faces.component.UIComponent c, java.lang.String id)` Finds component with the given id.
    `static java.lang.Object` | `getManagedBean(java.lang.String beanName)` Get managed bean based on the bean name.
    `static java.lang.String` | `getRequestParameter(java.lang.String name)` Get parameter value from request scope.
    `static java.lang.String` | `getServletContextParameter(java.lang.String parameter)`
    `static void` | `setManagedBeanInRequest(java.lang.String beanName, java.lang.Object managedBean)` Store the managed bean inside the request scope.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Util

          public Util()

  - ### Method Detail

    - #### getServletContextParameter

          public static java.lang.String getServletContextParameter(java.lang.String parameter)

    - #### getRequestParameter

          public static java.lang.String getRequestParameter(java.lang.String name)

      Get parameter value from request scope.
      Parameters:
        `name` - the name of the parameter
      Returns:
        the parameter value

    - #### getManagedBean

          public static java.lang.Object getManagedBean(java.lang.String beanName)

      Get managed bean based on the bean name.
      Parameters:
        `beanName` - the bean name
      Returns:
        the managed bean associated with the bean name

    - #### setManagedBeanInRequest

          public static void setManagedBeanInRequest(java.lang.String beanName,
                                                     java.lang.Object managedBean)

      Store the managed bean inside the request scope.
      Parameters:
        `beanName` - the name of the managed bean to be stored
        `managedBean` - the managed bean to be stored

    - #### clearAllUIInputs

          public static void clearAllUIInputs(javax.faces.component.UIComponent comp)

    - #### findComponent

          public static javax.faces.component.UIComponent findComponent(javax.faces.component.UIComponent c,
                                                                        java.lang.String id)

      Finds component with the given id.
      Parameters:
        `c` - component check children of.
        `id` - id of component to search for.
      Returns:
        found component if any.

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.